org.apache.fop.layoutmgr.table

## Class TableStepper

- java.lang.Object
- - org.apache.fop.layoutmgr.table.TableStepper

    public class TableStepper
    extends Object

This class processes row groups to create combined element lists for tables.

### Constructor Summary

Constructors
Constructor and Description
`TableStepper(TableContentLayoutManager tclm)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`LinkedList` `getCombinedKnuthElementsForRowGroup(LayoutContext context, EffRow[] rows, int bodyType)` Creates the combined element list for a row group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableStepper

    public TableStepper(TableContentLayoutManager tclm)

Main constructor

Parameters:
  `tclm` - The parent TableContentLayoutManager

### Method Detail

#### getCombinedKnuthElementsForRowGroup

    public LinkedList getCombinedKnuthElementsForRowGroup(LayoutContext context,
                                                          EffRow[] rows,
                                                          int bodyType)

Creates the combined element list for a row group.

Parameters:
  `context` - Active LayoutContext
  `rows` - the row group
  `bodyType` - Indicates what type of body is processed (body, header or footer)
Returns:
  the combined element list